PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::Manager::SetAxisNames Class Reference

Set axis name from current reader tag, set it in manager as current, and restore old axisNames value when out of the scope. More...

`#include <plask/manager.hpp>`

## Public Member Functions
| SetAxisNames (Manager &manager, const AxisNames *names)
| Set axes names to `names`.
| SetAxisNames (Manager &manager, XMLReader &source)
| Set axes names to one read from tag attribute.
| SetAxisNames (GeometryReader &reader)
| Set axes names to one read from tag attribute, same as SetAxisNames(reader.manager, reader.source).
| ~SetAxisNames ()
| Revert axes names to old one.

## Detailed Description

Set axis name from current reader tag, set it in manager as current, and restore old axisNames value when out of the scope.

Definition at line 275 of file manager.hpp.

## Constructor & Destructor Documentation

## ◆ SetAxisNames() [1/3]

plask::Manager::SetAxisNames::SetAxisNames | ( | Manager & | manager,
|  | const AxisNames * | names
| ) |  |

Set axes names to `names`.

Parameters

  manager | manager to change
  names | new axes names

Definition at line 46 of file manager.cpp.

## ◆ SetAxisNames() [2/3]

plask::Manager::SetAxisNames::SetAxisNames | ( | Manager & | manager,
|  | XMLReader & | source
| ) |  |

Set axes names to one read from tag attribute.

Does not change the axes names in case of lack the attribute.

Parameters

  manager | manager to change
  source | XML data source

Definition at line 50 of file manager.cpp.

## ◆ SetAxisNames() [3/3]

plask::Manager::SetAxisNames::SetAxisNames | ( | GeometryReader & | reader | ) |

Set axes names to one read from tag attribute, same as SetAxisNames(reader.manager, reader.source).

Parameters

  reader | geometry reader

Definition at line 29 of file manager.cpp.

## ◆ ~SetAxisNames()

plask::Manager::SetAxisNames::~SetAxisNames | ( |  | ) |
| inline

Revert axes names to old one.

Definition at line 304 of file manager.hpp.

The documentation for this class was generated from the following files:

- plask/manager.hpp
- plask/manager.cpp